%define upstream_name    EBook-Tools
%define upstream_version v0.5.4

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    E-Book creation, modification, and unpacking
License:    GPLv2+
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/EBook/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Archive::Zip) >= 1.160.0
BuildRequires: perl(Bit::Vector) >= 6.400.0
BuildRequires: perl(Compress::Zlib) >= 1.0.0
BuildRequires: perl(Config::IniFiles) >= 2.0.0
BuildRequires: perl(Data::UUID) >= 1.0.0
BuildRequires: perl(Date::Manip) >= 5.440.0
BuildRequires: perl(DBD::SQLite)
BuildRequires: perl(DBI)
BuildRequires: perl(Encode::Detect)
BuildRequires: perl(File::MimeInfo) >= 0.130.0
BuildRequires: perl(File::Slurp) >= 9999.0.0
BuildRequires: perl(File::Which)
BuildRequires: perl(HTML::Entities) >= 1.0.0
BuildRequires: perl(HTML::TextToHTML) >= 2.440.0
BuildRequires: perl(HTML::TreeBuilder) >= 3.190.0
BuildRequires: perl(Image::Size) >= 3.100.0
BuildRequires: perl(Lingua::EN::NameParse)
BuildRequires: perl(List::MoreUtils) >= 0.210.0
BuildRequires: perl(LWP)
BuildRequires: perl(Module::Build) >= 0.360.0
BuildRequires: perl(Mojo::DOM)
BuildRequires: perl(Palm::PDB) >= 1.0.0
BuildRequires: perl(Palm::Raw) >= 1.0.0
BuildRequires: perl(String::CRC32) >= 1.0.0
BuildRequires: perl(Tie::IxHash) >= 1.210.0
BuildRequires: perl(Time::Local) >= 1.180.0
BuildRequires: perl(XML::Twig) >= 3.320.0
BuildRequires: perl(version) >= 0.740.0
BuildRequires: shared-mime-info
BuildArch:  noarch

Recommends: tidy
Recommends: convlit

%description
This module provides an object interface and a number of related procedures
intended to create or modify documents centered around the International
Digital Publishing Forum (IDPF) standards, currently both OEBPS v1.2 and
OPS/OPF v2.0.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
export AUTOMATED_TESTING=1
%make test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml README
%{_bindir}/ebook
%{perl_vendorlib}/*
%{_mandir}/man1/*
%{_mandir}/man3/*


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.5.4-5.mga8
+ Revision: 1494421
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.5.4-4.mga7
+ Revision: 1267836
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.5.4-3.mga6
+ Revision: 1026869
- Rebuild for perl 5.22.2

* Tue Feb 09 2016 umeabot <umeabot> 0.5.4-2.mga6
+ Revision: 951170
- Mageia 6 Mass Rebuild

* Thu Dec 11 2014 sander85 <sander85> 0.5.4-1.mga5
+ Revision: 802702
- update to v0.5.4
+ umeabot <umeabot>
- Rebuild to potentially add missing dependencies
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/
+ jquelin <jquelin>
- perl 5.20 rebuild

* Thu Mar 20 2014 jquelin <jquelin> 0.4.9-9.mga5
+ Revision: 606080
- perl 5.18.2 rebuild

* Mon Jan 20 2014 pterjan <pterjan> 0.4.9-8.mga4
+ Revision: 567186
- Set AUTOMATED_TESTING which disables flaky test
+ umeabot <umeabot>
- Mageia 4 Mass Rebuild
+ jquelin <jquelin>
- perl 5.18.0 rebuild

* Mon Mar 18 2013 jquelin <jquelin> 0.4.9-5.mga3
+ Revision: 403815
- perl 5.16.3 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.4.9-4.mga3
+ Revision: 366740
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 06 2012 jquelin <jquelin> 0.4.9-3.mga3
+ Revision: 315000
- perl 5.16.2 shebang rebuild

* Fri Aug 24 2012 jquelin <jquelin> 0.4.9-2.mga3
+ Revision: 283539
- perl 5.16.1 rebuild

* Mon Jun 04 2012 jquelin <jquelin> 0.4.9-1.mga3
+ Revision: 254240
- update to v0.4.9
- fix shebang with new perl 5.16 path

* Sat Jul 02 2011 ahmad <ahmad> 0.4.8-1.mga2
+ Revision: 117271
- Suggest tidy and convlit
- imported package perl-EBook-Tools

